| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

List of all members
TinyViewerUI Class Reference
PDFViewCtrl » viewerui

The default built-in UI implementation for `PDFViewCtrl` module. More...

Inheritance diagram for TinyViewerUI:

## Additional Inherited Members
Public Member Functions inherited from IViewerUI
| alert (message)
| Display an alert dialog with the optional content and an OK button, then returns an fullfilled Promise after alert dialog closed. More...
| confirm (message)
| Displays a modal dialog with an optional message and two buttons: OK and Cancel, then returns an Promise, that will be fullfilled if user clicks OK, and be rejected if user clicks Cancel. More...
| createContextMenu (key, anchor, config)
| A method used to create the contextmenu component and registers the right-click event. You can override this method to customize the right-click menus. More...
| createDateTimePicker (format)
| Create an IDateTimePicker component based on the specified format. More...
| createTextSelectionTooltip (pageRender)
| Creates a tooltip component that displays when user select texts. More...
| destroy ()
| A method will be called when PDFViewer is destroyed. You should override this method to perform the operation of destroy resources.
| getSignatureUI ()
| Obtains the instance which implements ISignatureUI. This method retrieves the user interface component responsible for managing digital signatures. More...
| loading (coverOn)
| Displays a loading layer to indicate the loading state of a page or a component. More...
| prompt (defaultValue, message, title)
| Displays a dialog with an optional message prompting the user to input some text. More...
| promptPassword (defaultValue, message, title)
| Displays a dialog with a optional message prompting the user to input password. More...

## Detailed Description

The default built-in UI implementation for `PDFViewCtrl` module.

Since
  9.0.0

@2026 Foxit Software Incorporated. All rights reserved.